//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "C:\gifimage\gifimage.hpp"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
   Graphics::TBitmap *bmpRed=new Graphics::TBitmap;
   Graphics::TBitmap *bmpYellow=new Graphics::TBitmap;
   Graphics::TBitmap *bmpGreen=new Graphics::TBitmap;
   bmpRed->LoadFromFile("red.bmp");
   bmpYellow->LoadFromFile("yellow.bmp");
   bmpGreen->LoadFromFile("green.bmp");

   TGIFImage *gif=new TGIFImage;

   gif->Add(bmpRed);
   gif->Add(bmpYellow);
   gif->Add(bmpGreen);

   TGIFGraphicControlExtension *gifExt0=new TGIFGraphicControlExtension(gif->Images->SubImages[0]);
   TGIFGraphicControlExtension *gifExt1=new TGIFGraphicControlExtension(gif->Images->SubImages[1]);
   TGIFGraphicControlExtension *gifExt2=new TGIFGraphicControlExtension(gif->Images->SubImages[2]);

   gifExt0->Delay=100;
   gifExt1->Delay=100;
   gifExt2->Delay=100;
   gifExt0->Transparent=false;
   gifExt1->Transparent=false;
   gifExt2->Transparent=false;
   gifExt0->Disposal=dmNone;
   gifExt1->Disposal=dmNone;
   gifExt2->Disposal=dmNone;
   gif->Images->SubImages[0]->Extensions->Add(gifExt0);
   gif->Images->SubImages[1]->Extensions->Add(gifExt1);
   gif->Images->SubImages[2]->Extensions->Add(gifExt2);

   TGIFAppExtNSLoop *gifLoop=new TGIFAppExtNSLoop(gif->Images->SubImages[0]);
   gifLoop->Loops=0;
   gif->Images->SubImages[0]->Extensions->Add(gifLoop);
   gif->OptimizeColorMap();
   gif->SaveToFile("GifDemo.gif");

   delete gifLoop;
   delete gifExt0;
   delete gifExt1;
   delete gifExt2;
   delete gif;
   delete bmpRed;
   delete bmpYellow;
   delete bmpGreen;
}
//---------------------------------------------------------------------------
